<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>xAPI Definitions Parser: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">xAPI Definitions Parser
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all class members with links to the classes they belong to:</div>

<h3><a id="index_r" name="index_r"></a>- r -</h3><ul>
<li>ReadActivities()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#aef363f7fa1171591968a742df132218b">xAPI_Definitions_Parser.IO.IOManager</a></li>
<li>ReadActivitiesAsync()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a54a6a6f080675e7139fb79df2a53f5b2">xAPI_Definitions_Parser.IO.IOManager</a></li>
<li>ReadContext()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a9ad750ba1d4734af6becd951f54e380a">xAPI_Definitions_Parser.IO.IOManager</a></li>
<li>ReadContextAsync()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a09c8180392f6b5200bdae0393d81cfe3">xAPI_Definitions_Parser.IO.IOManager</a></li>
<li>ReadContexts()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a517196bbb53083c44645d478a5b057fc">xAPI_Definitions_Parser.IO.IOManager</a></li>
<li>ReadContextsAsync()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a083ea7a3c990b8915bac54c0bc6bfce1">xAPI_Definitions_Parser.IO.IOManager</a></li>
<li>ReadDefinitions()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a5cacec472f3d87db7d3f2919bcde673f">xAPI_Definitions_Parser.IO.IOManager</a></li>
<li>ReadDefinitionsAsync()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a0c3d65782c7a939288bae10ed0aca2df">xAPI_Definitions_Parser.IO.IOManager</a></li>
<li>ReadExtensions()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a3618f4ffdea84b996e74a670dc744e11">xAPI_Definitions_Parser.IO.IOManager</a></li>
<li>ReadExtensionsAsync()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a632ff9ba1c632ce4237fd9c22e04e339">xAPI_Definitions_Parser.IO.IOManager</a></li>
<li>ReadFile()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_manager.html#a38ff8cd26c93c412c5c7d944cc14feb4">xAPI_Definitions_Parser.IO.FileManager</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_git_lab_manager.html#ac2a5659835a1c72c9bb271e59b97db5c">xAPI_Definitions_Parser.IO.GitLabManager</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a83ae9ff17ace6082d6c5b432e8522bea">xAPI_Definitions_Parser.IO.IOManager</a></li>
<li>ReadFileAsync()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_manager.html#a0eeedd372f278a1c94691d1a3cc36d4a">xAPI_Definitions_Parser.IO.FileManager</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_git_lab_manager.html#aaf861205a2eae5de7d0a2f8a82d83ee8">xAPI_Definitions_Parser.IO.GitLabManager</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#ad37f764d92703f0a0018f93ef8ef9111">xAPI_Definitions_Parser.IO.IOManager</a></li>
<li>ReadFiles()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_manager.html#a2f28c4fc12b5171bf32376cdbae9913b">xAPI_Definitions_Parser.IO.FileManager</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_git_lab_manager.html#a98574f64f73c94cfd0aafe4a03ecc050">xAPI_Definitions_Parser.IO.GitLabManager</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#aee0e21fb4ffc3b940d4e8951dc9e0b64">xAPI_Definitions_Parser.IO.IOManager</a></li>
<li>ReadFilesAsync()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_manager.html#ab451df12224b575e88ca293c6e7c93a8">xAPI_Definitions_Parser.IO.FileManager</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_git_lab_manager.html#a2f734263c25db9433c8cb63c4838b2cf">xAPI_Definitions_Parser.IO.GitLabManager</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#ae72596b14d25250ee534a6837565d5fc">xAPI_Definitions_Parser.IO.IOManager</a></li>
<li>ReadVerbs()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#a70ddff75178d3c4551f12f75d0531845">xAPI_Definitions_Parser.IO.IOManager</a></li>
<li>ReadVerbsAsync()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html#aa2b819ce4abb1b6938eb16e607f123b3">xAPI_Definitions_Parser.IO.IOManager</a></li>
<li>RefFiles&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_compilation_result.html#a3521263aba1f6d862c696a26e2a17d4d">xAPI_Definitions_Parser.Code.CSharp.CSharpCompilationResult</a></li>
<li>RefPath&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_compilation_arguments.html#a003d46ab6884cb70a7a54ceed980ceb8">xAPI_Definitions_Parser.Code.CSharp.CSharpCompilationArguments</a></li>
<li>Root()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_root.html#aaf8548df8368513b38dd24bb93bbde78">xAPI_Definitions_Parser.Code.SyntaxTree.Root</a></li>
<li>RootToString()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_serializer.html#a27260500322d020774bb00149873b884">xAPI_Definitions_Parser.Code.CSharp.CSharpSerializer</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_java_script_1_1_java_script_serializer.html#a114d861258f1f40eed4a91a7f8164a32">xAPI_Definitions_Parser.Code.JavaScript.JavaScriptSerializer</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_serializer.html#a68f4b366b736d82339488e9b380f7998">xAPI_Definitions_Parser.Code.Python.PythonSerializer</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a5a701763ecf1f76561e743fda91cc718">xAPI_Definitions_Parser.Code.SyntaxTreeSerializer</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
